/**
 * GUI Commands
 * Copyright 2004 Andrew Pietsch
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * $Id: Names.java,v 1.17 2006/02/26 00:59:06 pietschy Exp $
 */

package org.pietschy.command;

class
Names
{
   static final String _ID_ = "$Id: Names.java,v 1.17 2006/02/26 00:59:06 pietschy Exp $";
   public static final String ID_ATTRIBUTE = "id";
   public static final String GROUP_MEMBERS = "members";
   public static final String GROUP_MEMBER = "member";
   public static final String GROUP = "group";
   public static final String TOGGLE_GROUP = "toggle-group";
   public static final String EXCLUSIVE_ATTRIBUTE = "exclusive";
   public static final String EXPANSION_ELEMENT = "expansion-point";
   public static final String SEPARATOR_ELEMENT = "separator";
   public static final String GLUE_ELEMENT = "glue";
   public static final String COMMAND_ID_ATTRIBUTE = "command-id";
   public static final String INLINE_ATTRIBUTE = "inline";
   public static final String SEPARATOR_ATTRIBUTE = "separator";
   public static final String ACTION_COMMAND_ELEMENT = "action-command";
   public static final String DESCRIPTION_ELEMENT = "description";
   public static final String LONG_DESCRIPTION_ELEMENT = "long-description";
   public static final String FACE_ELEMENT = "face";
   public static final String NAME_ATTRIBUTE = "name";
   public static final String EXTENDS_ATTRIBUTE = "extends";
   public static final String LOCALE_ATTRIBUTE = "locale";
   public static final String TEXT_ELEMENT = "text";
   public static final String HORIZONTAL_TEXT_POSITION_ATTRIBUTE = "horizontal-position";
   public static final String VERTICAL_TEXT_POSITION_ATTRIBUTE = "vertical-position";
   public static final String TEXT_POSITION_LEADING = "leading";
   public static final String TEXT_POSITION_TRAILING = "trailing";
   public static final String TEXT_POSITION_LEFT = "left";
   public static final String TEXT_POSITION_RIGHT = "right";
   public static final String TEXT_POSITION_CENTRE = "centre";
   public static final String TEXT_POSITION_TOP = "top";
   public static final String TEXT_POSITION_BOTTOM = "bottom";
   public static final String MNEMONIC_ATTRIBUTE = "mnemonic";
   public static final String MNEMONIC_INDEX_ATTRIBUTE = "mnemonic-index";
   public static final String TEXT_ALIGNMENT_ATTRIBUTE = "alignment";
   public static final String TEXT_ALIGNMENT_LEADING = "leading";
   public static final String TEXT_ALIGNMENT_TRAILING = "trailing";
   public static final String SMALL_ICON_ELEMENT = "icon";
   public static final String SELECTED_ICON_ELEMENT = "selected-icon";
   public static final String ROLLOVER_ICON_ELEMENT = "rollover-icon";
   public static final String ROLLOVER_SELECTED_ICON_ELEMENT = "rollover-selected-icon";
   public static final String PRESSED_ICON_ELEMENT = "pressed-icon";
   public static final String DISABLED_ICON_ELEMENT = "disabled-icon";
   public static final String ICON_TEXT_GAP_ELEMENT = "icon-text-gap";
   public static final String TYPE_ATTRIBUTE = "type";
   public static final String TYPE_FILE = "file";
   public static final String TYPE_CLASSPATH = "classpath";
   public static final String TYPE_URL = "url";
   public static final String TYPE_BEAN = "bean";
   public static final String TYPE_FACTORY = "factory";
   public static final String TYPE_ICON_FACTORY = "icon-factory";
   public static final String ACCELERATOR_ELEMENT = "accelerator";
   public static final String KEY_ATTRIBUTE = "key";
   public static final String KEYSTROKE_ATTRIBUTE = "keyStroke";
   public static final String USE_DEFAULT_MODIFIER_ATTRIBUTE = "useDefaultModifier";
   public static final String MODIFIER_ELEMENT = "modifier";
   public static final String MODIFIER_VALUE_ATTRIBUTE = "value";
   public static final String MODIFIER_SHIFT_VALUE = "shift";
   public static final String MODIFIER_META_VALUE = "meta";
   public static final String MODIFIER_CONTROL_VALUE = "control";
   public static final String MODIFIER_DEFAULT_VALUE = "default";
   public static final String MODIFIER_ALT_VALUE = "alt";
   public static final String ALOW_EMPTY_SELECTION_ATTRIBUTE = "allow-empty";
   public static final String MENU_TOOLTIPS_ATTRIBUTE = "menu-tooltips";
   public static final String ENABLED_VALUE = "enabled";
   public static final String DISABLED_VALUE = "disabled";
   public static final String PROPERTY_ELEMENT = "property";
   public static final String CLIENT_PROPERTY_ELEMENT = "client-property";
   public static final String CLASS_ELEMENT = "class";
   public static final String INCLUDE_IF_ATTRIBUTE = "include-if";

   public static final String EXTENSION_ELEMENT = "extension";

   public static final String I18N_ATTRIBUTE = "i18n";
   /** Used to mark an existing attribute value as a resource bundle reference (eg accelerator="i18n:resource_id")*/
   public static final String I18N_ATTRIBUTE_PREFIX = "i18n:";


   private Names()
   {}



}
